import { Module } from '@nestjs/common';
import { AppController } from './app.controller';
import { AppService } from './app.service';
import { InfractionsController } from './infractions/infractions.controller';
import { InfractionsService } from './infractions/infractions.service';
import { DatabaseService } from './database/database.service';
import { AuthModule } from './auth/auth.module';
import { MongodbModule } from './database/database.module';
import { ServersController } from './servers/servers.controller';
import { ServersService } from './servers/servers.service';

@Module({
  controllers: [AppController, InfractionsController, ServersController],
  providers: [AppService, InfractionsService, DatabaseService, ServersService],
  imports: [AuthModule, MongodbModule],
})
export class AppModule {}
