import { Command, resolveUser } from "lib";
import { API } from "revolt.js";
import { logger } from "../../index.js";

export default {
    name: "su",
    description: "Run commands as someone else",
    permissions: ["BotAdmin"],
    async run(message, args, client, context) {
        // Using a top level import statement causes an import loop
        const { processMessageCommand } = await import(
            "../../modules/commands.js"
        );

        const [user, command] = [args.shift(), args.join(" ")];
        if (!user) return await message.reply("No user specified");
        if (!command) return await message.reply("No command specified");
        const target = await resolveUser(
            user,
            client,
            message.channel?.serverId,
        );
        if (!target.user) return await message.reply("User not found");
        if (!target.certain)
            return await message.reply(
                "Uncertain whether we fetched the right user",
            );

        client.messages.create(message.id, "message", message, client, {
            author: target.user.id,
            content: command,
        } as API.Message);

        logger.warn(
            `Overwriting author and content for message ${message.id}\nNew author: ${message.authorId}\nNew content: ${message.content}`,
        );

        await message.channel?.sendMessage(
            `Running \`${message.content?.replaceAll("`", "'")}\` as ${
                target.user.username
            }`,
        );
        await processMessageCommand(message);
    },
} as Command;
