import { Command, embed, embedMsg } from "lib";
import { t } from "../../modules/i18n.js";
import { client } from "../../index.js";
import { decodeTime } from "ulid";

export default {
    name: "ping",
    aliases: ["test"],
    description: "Test Command",
    async run(message, args) {
        // This doubles as a debugging command
        if (args[0] == "throw") {
            throw new Error("fdhbvnsdfixgixbjn");
        }
        if (args[0] == "lang") {
            return await message.reply({
                content: await t("test", message.author),
                embeds: [embed(await t("i18n_test", message.author))],
            });
        }
        if (args[0] == "debug") {
            return await message.reply(`User ID: ${message.authorId}`);
        }

        const msg = await message.reply(
            embedMsg(
                await t("commands.ping.body", message.author, {
                    latency: {
                        ws: `\`${client.events.ping()}ms\``,
                        roundtrip: "`Measuring...`",
                    },
                }),
                await t("commands.ping.title", message.author),
            ),
        );

        if (!msg) return;
        const latency = decodeTime(msg.id) - decodeTime(message.id);

        await msg?.edit(
            embedMsg(
                await t("commands.ping.body", message.author, {
                    latency: {
                        ws: `\`${client.events.ping()}ms\``,
                        roundtrip: `\`${latency}ms\``,
                    },
                }),
                await t("commands.ping.title", message.author),
            ),
        );
    },
} as Command;
