/**
 * Checks if all provided environment variables are set.
 * Throws an error and prints missing variable names if not.
 */
export function checkEnv(vars: readonly string[]) {
    const missing = vars.filter((v) => !process.env[v]);
    if (missing.length) {
        console.log(
            "One or more required environment variables are not set:",
            missing,
        );
        throw new Error("Missing environment variables");
    }
}
