export type DBAuthToken = {
    // Token ID
    _id: string;

    // The actual token
    token: string;

    // If pending, this OTP can be used to activate the token.
    otp?: string;

    // User the token belongs to
    user: string;

    // Token expiry data
    expires?: Date;

    // Whether this token is pending activation.
    pending?: boolean;

    // If true, this token will have unrestricted access to everything.
    god?: boolean;
};
