export type DBServer = {
    _id: string; // Server ID
    prefix?: string; // Server configured prefix
    language?: string; // Language code used for log/system messages in this server
    logs?: {
        moderation?: string;
        messages?: string;
    };
    infraction_visibility?: keyof typeof InfractionVisibility; // Whose infractions can normal users view? Defaults to `own` if unset
};

export enum InfractionVisibility {
    "all" = "all",
    "own" = "own",
    "none" = "none",
}
