export type DBUserAuditLog = {
    // Event ID, ULID
    _id: string;

    // Associated user
    user: string;

    // Type of event
    type: UserAuditLogType;

    location?: {
        // 2 letter ISO-3166-1 country code
        country?: string;
        // 2 or 3 letter region code
        region?: string;
        // City name
        city?: string;
    };
};

export enum UserAuditLogType {
    LoginAttempt = "login_attempt",
    LoginAttemptSuccessful = "login_attempt_successful",
    LoginAttemptFailed = "login_attempt_failed",
}
