if command -v getenforce &> /dev/null; then
    if [ "$(getenforce)" == "Enforcing" ]; then
        echo "SELinux is currently set to enforce security policies, which will most likely break MongoDB."
        echo "If you choose yes, SELinux protection will be disabled. It is recommended to re-enable this afterwards with the following command:"
        echo "# setenforce 1"
        read -p "Disable SELinux? [y/N] " -n 1 -r
        echo
        if [[ "$REPLY" =~ ^[Yy]$ ]]; then
            sudo setenforce 0
            sleep 1
        else
            echo "Not disabling SELinux; You will most likely encounter permission errors."
            sleep 1
        fi
    fi
fi

if ! type "docker-compose" > /dev/null; then
    echo "Error: docker-compose is not installed!"
    exit 1
fi

if [[ ! -d .private/db ]]; then mkdir -p .private/db; fi

docker-compose --file docker-compose.dev.yml up --abort-on-container-exit
